Cisco Support Community
Community Member

After upgrading my 2960-S PoE switches webinterface dont work


i am no wizz when it comes to switches , and normaly use the webinterface , or cisco network assistance for most things

but after upgrading the ios from 12.2  to 15.x  i have had issues with with webinterface and using CNA ..

i can access the switches oki and all... but when i try to go into tabs for port settings etc from web , the links dont work ... nothing happning when i click

when i use the CNA to go into a port to change or view settings , it just hangs , and no response...

i upgraded using the CNA module or Webinterface ..

image :


any clues `?

XXXX#show flash

Directory of flash:/

    2  -rwx         736  Apr 12 1993 11:02:21 +02:00  vlan.dat

  605  -rwx        1918  Nov 26 2013 14:32:45 +01:00  private-config.text

    4  -rwx        4120  Nov 26 2013 14:32:45 +01:00  multiple-fs

    5  -rwx        4219  Nov 26 2013 14:32:45 +01:00  config.text

    6  drwx         512  May 16 2013 12:03:30 +02:00  c2960s-universalk9-mz.150-                                     2.SE2

57931776 bytes total (38452736 bytes free)



After upgrading my 2960-S PoE switches webinterface dont work


For the CNA to work you need to use a .tar IOS image, are you using a .tar image? Because I see that you included

image : c2960-lanbasek9-mz.150-1.SE3.bin which is a .bin image and does not work with CNA.

See also the release notes for the IOS you are using:

Hope this helps.


Re: After upgrading my 2960-S PoE switches webinterface dont wor

   I'm a little confused , you say you used  c2960-lanbasek9-mz.150-1.SE3.bin  , but in your dir flash:  it says  c2960s-universalk9-mz.150- 2.SE2  which is in a directory which means it should have all the html files.  If you do a show version what version is it running ?  I would also look for bugs in the 15 code for cna, 15 has had more than its share of issues.   Also check your cna level.

CNA Compatibility

Cisco IOS 12.2(50)SE and later is only compatible with Cisco Network  Assistant (CNA) 5.0 and later. You can download Cisco Network Assistant  from this URL:

CreatePlease to create content